# Classpath

open class Classpath : XmlPersistableConfigurationObject

Represents the customizable elements of an eclipse classpath file. (via XML hooks everything is customizable).

## Constructors

Classpath
Link copied to clipboard
constructor(xmlTransformer: XmlTransformer, fileReferenceFactory: FileReferenceFactory)
constructor(fileReferenceFactory: FileReferenceFactory)
constructor()

## Properties

entries
Link copied to clipboard
open var entries: List<ClasspathEntry>
xml
Link copied to clipboard
open val xml: Node

## Functions

configure
Link copied to clipboard
open fun configure(newEntries: List<out Any>): Any
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
fileReference
Link copied to clipboard
open fun fileReference(reference: Any): FileReference
Creates a new FileReference instance.
findFirstChildNamed
Link copied to clipboard
open fun findFirstChildNamed(root: @Nullable Node, name: String): @Nullable Node
findFirstChildWithAttributeValue
Link copied to clipboard
open fun findFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): @Nullable Node
findOrCreateFirstChildNamed
Link copied to clipboard
open fun findOrCreateFirstChildNamed(root: Node, name: String): Node
findOrCreateFirstChildWithAttributeValue
Link copied to clipboard
open fun findOrCreateFirstChildWithAttributeValue(root: @Nullable Node, childName: String, attribute: String, value: String): Node
hashCode
Link copied to clipboard
open fun hashCode(): Int
load
Link copied to clipboard
open fun load(inputStream: InputStream)
loadDefaults
Link copied to clipboard
open fun loadDefaults()
store
Link copied to clipboard
open fun store(outputStream: OutputStream)
toString
Link copied to clipboard
open fun toString(): String
transformAction
Link copied to clipboard
open fun transformAction(action: Closure)